org.apache.ode.bpel.o

## Class OConstants

- java.lang.Object
- - org.apache.ode.bpel.o.OBase
  - - org.apache.ode.bpel.o.OConstants

- All Implemented Interfaces:
    java.io.Serializable

      public class OConstants
      extends OBase

  Compiled BPEL constants. Mostly the qualified names of the standard faults.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `javax.xml.namespace.QName` | `qnConflictingReceive`
    `javax.xml.namespace.QName` | `qnConflictingRequest`
    `javax.xml.namespace.QName` | `qnCorrelationViolation`
    `javax.xml.namespace.QName` | `qnForcedTermination`
    `javax.xml.namespace.QName` | `qnForEachCounterError`
    `javax.xml.namespace.QName` | `qnInvalidBranchCondition`
    `javax.xml.namespace.QName` | `qnInvalidExpressionValue`
    `javax.xml.namespace.QName` | `qnJoinFailure`
    `javax.xml.namespace.QName` | `qnMismatchedAssignmentFailure`
    `javax.xml.namespace.QName` | `qnMissingReply`
    `javax.xml.namespace.QName` | `qnMissingRequest`
    `javax.xml.namespace.QName` | `qnRetiredProcess`
    `javax.xml.namespace.QName` | `qnSelectionFailure`
    `javax.xml.namespace.QName` | `qnSubLanguageExecutionFault`
    `javax.xml.namespace.QName` | `qnTooHugeProcesses`
    `javax.xml.namespace.QName` | `qnTooManyInstances`
    `javax.xml.namespace.QName` | `qnTooManyProcesses`
    `javax.xml.namespace.QName` | `qnUninitializedPartnerRole`
    `javax.xml.namespace.QName` | `qnUninitializedVariable`
    `javax.xml.namespace.QName` | `qnUnknownFault`
    `javax.xml.namespace.QName` | `qnXsltInvalidSource`

    - ### Fields inherited from class org.apache.ode.bpel.o.OBase

      `debugInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OConstants(OProcess owner)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.xml.namespace.QName` | `qnAmbiguousReceive()`

    - ### Methods inherited from class org.apache.ode.bpel.o.OBase

      `dehydrate, digest, equals, getId, getOwner, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### qnMissingRequest

          public javax.xml.namespace.QName qnMissingRequest

    - #### qnMissingReply

          public javax.xml.namespace.QName qnMissingReply

    - #### qnUninitializedVariable

          public javax.xml.namespace.QName qnUninitializedVariable

    - #### qnConflictingReceive

          public javax.xml.namespace.QName qnConflictingReceive

    - #### qnConflictingRequest

          public javax.xml.namespace.QName qnConflictingRequest

    - #### qnSelectionFailure

          public javax.xml.namespace.QName qnSelectionFailure

    - #### qnMismatchedAssignmentFailure

          public javax.xml.namespace.QName qnMismatchedAssignmentFailure

    - #### qnJoinFailure

          public javax.xml.namespace.QName qnJoinFailure

    - #### qnForcedTermination

          public javax.xml.namespace.QName qnForcedTermination

    - #### qnCorrelationViolation

          public javax.xml.namespace.QName qnCorrelationViolation

    - #### qnXsltInvalidSource

          public javax.xml.namespace.QName qnXsltInvalidSource

    - #### qnSubLanguageExecutionFault

          public javax.xml.namespace.QName qnSubLanguageExecutionFault

    - #### qnUninitializedPartnerRole

          public javax.xml.namespace.QName qnUninitializedPartnerRole

    - #### qnForEachCounterError

          public javax.xml.namespace.QName qnForEachCounterError

    - #### qnInvalidBranchCondition

          public javax.xml.namespace.QName qnInvalidBranchCondition

    - #### qnInvalidExpressionValue

          public javax.xml.namespace.QName qnInvalidExpressionValue

    - #### qnRetiredProcess

          public javax.xml.namespace.QName qnRetiredProcess

    - #### qnTooManyInstances

          public javax.xml.namespace.QName qnTooManyInstances

    - #### qnTooManyProcesses

          public javax.xml.namespace.QName qnTooManyProcesses

    - #### qnTooHugeProcesses

          public javax.xml.namespace.QName qnTooHugeProcesses

    - #### qnUnknownFault

          public javax.xml.namespace.QName qnUnknownFault

  - ### Constructor Detail

    - #### OConstants

          public OConstants(OProcess owner)

  - ### Method Detail

    - #### qnAmbiguousReceive

          public javax.xml.namespace.QName qnAmbiguousReceive()